generateRandom.Gene {galgo} | R Documentation

## Generates a random value from the defined function

### Description

Generates a random value from the defined function. The function used is stored in `generateFunc` value. The proper way to use this function is calling `*mutate()` method instead.

### Usage

    ## S3 method for class 'Gene'
    generateRandom(.O, n=1, ...)

### Arguments

`n` | Number of random values.

### Value

Returns random values.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Gene`. `*mutate()`.

### Examples

       ge <- Gene(shape1=1, shape2=100)
       ge
       generateRandom(ge)
       generateRandom(ge)
       generateRandom(ge)

       # generation that depends on initial random selection ==> "is it silly?"
       ge$generateFunc = function(g, n=1, sh1, sh2) {
          if (is.null(g$value)) {
              g$value <- runif(n, sh1, sh2)
              g$value
          } else {
              g$value + runif(n, min=-10, max=10)
          }
       }

       generateRandom(ge)
       generateRandom(ge)
       generateRandom(ge)

[Package galgo version 1.4 Index]